package com.ruoyi.project.hit.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.hit.domain.PupuStore;
import com.ruoyi.project.hit.service.PupuStoreService;
import com.ruoyi.project.hit.mapper.PupuStoreMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* @author HP
* @description 针对表【pupu_store】的数据库操作Service实现
* @createDate 2024-09-05 16:23:38
*/
@Service
public class PupuStoreServiceImpl extends ServiceImpl<PupuStoreMapper, PupuStore>
    implements PupuStoreService{

    @Resource
    private PupuStoreMapper pupuStoreMapper;
    @Override
    public int add(PupuStore pupuStore) {
        return pupuStoreMapper.insert(pupuStore);
    }

    @Override
    public int del(Integer storeId) {
        return pupuStoreMapper.deleteById(storeId);
    }
}




